realFFT Class Reference

class realFFT controls fftw plans and executes fwd/inv transforms More...

`#include <realFFT.H>`

## Public Member Functions

| realFFT (void)
| fft init ... don't forget to associate data using switchData
| realFFT (realFFTData *d)
| fft init ... data pointed to by 'd'
| ~realFFT (void)
| fft deconstructor
void | switchData (realFFTData *d)
| Use this to change associated fft data (for fft'ing).
void | fwdTransform ()
| Forward transform the data (in to out).
void | invTransform ()
| Inverse transform the data (out to in).

## Protected Attributes

realFFTData * | data
| The pointer to the relevant data.

## Detailed Description

class realFFT controls fftw plans and executes fwd/inv transforms

Examples
  realFFTExample.cc.

Definition at line 32 of file realFFT.H.

## Member Data Documentation

## data

realFFTData* realFFT::data

protected

The pointer to the relevant data.

Definition at line 42 of file realFFT.H.

The documentation for this class was generated from the following file:

- realFFT.H